export class StatistikE2EComponent {
  private readonly locatorHeaderText: string = 'statistik-header-text';
  private readonly locatorWeitereFelderAuswertenButton = 'weitere-felder-auswerten-button';

  public getHeaderText(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorHeaderText);
  }

  public getWeitereFelderAuswertenButton(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorWeitereFelderAuswertenButton);
  }
}
