import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ButtonWithSpinnerComponent } from '@ods/component';
import { ForwardVorgangIconComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';
import { ForwardingButtonComponent } from './forwarding-button.component';

describe('ForwardingButtonComponent', () => {
  let component: ForwardingButtonComponent;
  let fixture: ComponentFixture<ForwardingButtonComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [ForwardingButtonComponent],
      declarations: [MockComponent(ForwardVorgangIconComponent), MockComponent(ButtonWithSpinnerComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(ForwardingButtonComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
