import { Component, Input } from '@angular/core';
import { ButtonWithSpinnerComponent } from '@ods/component';
import { ForwardVorgangIconComponent } from '@ods/system';

@Component({
  selector: 'alfa-forwarding-button',
  standalone: true,
  imports: [ButtonWithSpinnerComponent, ForwardVorgangIconComponent],
  templateUrl: './forwarding-button.component.html',
})
export class ForwardingButtonComponent {
  @Input() disabled: boolean;
}
