import { ZustaendigeStelleModule } from '@alfa-client/zustaendige-stelle';
import { OrganisationsEinheitResource } from '@alfa-client/zustaendige-stelle-shared';
import { A11yModule } from '@angular/cdk/a11y';
import { Component, Input } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { CancelDialogButtonComponent } from '@ods/component';
import { ForwardingButtonComponent } from './forwarding-button/forwarding-button.component';
import { ForwardingItemInDialogComponent } from './forwarding-item/forwarding-item.component';

@Component({
  selector: 'alfa-forwarding-dialog',
  standalone: true,
  imports: [
    A11yModule,
    CancelDialogButtonComponent,
    ReactiveFormsModule,
    ZustaendigeStelleModule,
    ForwardingButtonComponent,
    ForwardingItemInDialogComponent,
  ],
  templateUrl: './forwarding-dialog.component.html',
})
export class ForwardingDialogComponent {
  @Input() selectedSearchResult: OrganisationsEinheitResource;
}
